#pragma once
#include <map>
struct Fish_BaseInfoData
{
	//key
	std::string mKey;
	//ÊýÖµ
	int mValue;
};

class Fish_BaseInfo
{
public:
private:
	static std::auto_ptr<Fish_BaseInfo> msSingleton;
public:
	int GetCount();
	const Fish_BaseInfoData* GetData(std::string Key);
	const std::map<std::string, Fish_BaseInfoData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_BaseInfo* GetSingleton();
	static void Release();
private:
	std::map<std::string, Fish_BaseInfoData> mMapData;
};
